;InnoSetupVersion=5.1.2

[Setup]
AppName=K-Lite Codec Pack
AppVerName=K-Lite Codec Pack 2.51 Full
AppId=KLiteCodecPack
AppVersion=2.51
DefaultDirName={pf}\K-Lite Codec Pack
DefaultGroupName=K-Lite Codec Pack
UninstallDisplayName=K-Lite Codec Pack 2.51 Full
OutputBaseFilename=klcodec251f
Compression=lzma
PrivilegesRequired=poweruser
ChangesAssociations=yes
AllowNoIcons=yes
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\icons\divx.ico"; DestDir: "{app}\icons"; 
Source: "{app}\icons\codecs.ico"; DestDir: "{app}\icons"; 
Source: "{app}\icons\config.ico"; DestDir: "{app}\icons"; Components: filters\matrixmixer ffdshow filters\vsfilter; 
Source: "{app}\info\readme.rtf"; DestDir: "{app}\info"; Flags: ignoreversion 
Source: "{app}\info\faq.htm"; DestDir: "{app}\info"; Flags: ignoreversion 
Source: "{app}\ffdshow\ffdshow.ax.manifest"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_kernelDeint.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_liba52.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_libdts.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_libmad.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_realaac.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_samplerate.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_theora.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_tremor.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_unrar.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\libavcodec.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\libmpeg2_ff.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\libmplayer.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\TomsMoComp_ff.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\ffdshow.ax"; DestDir: "{app}\ffdshow"; Components: ffdshow; Flags: regserver ignoreversion 
Source: "{app}\ffdshow\ff_x264.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\ff_wmv9.dll"; DestDir: "{app}\ffdshow"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{sys}\ff_acm.acm"; DestDir: "{sys}"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{sys}\ff_vfw.dll"; DestDir: "{sys}"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{sys}\ff_vfw.dll.manifest"; DestDir: "{sys}"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\andreas_78er.matrix.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\andreas_doppelte_99er.matrix.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\andreas_einfache_99er.matrix.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\Bulletproof's Heavy Compression Matrix.TXT"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\Bulletproof's High Quality Matrix.TXT"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\CG-Animation Matrix.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\hvs-best-picture.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\hvs-better-picture.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\hvs-good-picture.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\Low Bitrate Matrix.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\MPEG.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\pvcd.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\Standard.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\Ultimate Matrix.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\Ultra Low Bitrate Matrix.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\custom matrices\Very Low Bitrate Matrix.txt"; DestDir: "{app}\ffdshow\custom matrices"; Components: ffdshow\vfw; Flags: ignoreversion 
Source: "{app}\ffdshow\languages\ffdshow.de"; DestDir: "{app}\ffdshow\languages"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\languages\ffdshow.en"; DestDir: "{app}\ffdshow\languages"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\languages\ffdshow.es"; DestDir: "{app}\ffdshow\languages"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\languages\ffdshow.fr"; DestDir: "{app}\ffdshow\languages"; Components: ffdshow; Flags: ignoreversion 
Source: "{app}\ffdshow\languages\ffdshow.it"; DestDir: "{app}\ffdshow\languages"; Components: ffdshow; Flags: ignoreversion 
Source: "{sys}\cpuinf32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{sys}\msvcr70.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{sys}\msvcr71.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{sys}\msvcrt.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{sys}\unicows.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{tmp}\psvince.dll"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{app}\tools\fixcodecs.exe"; DestDir: "{app}\tools"; Flags: ignoreversion 
Source: "{tmp}\klcpfuim.exe"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\vidccleaner.exe"; DestDir: "{tmp}"; Flags: deleteafterinstall 
Source: "{app}\Media Player Classic\mplayerc,1.exe"; DestDir: "{app}\Media Player Classic"; DestName: "mplayerc.exe"; Components: player\mpclassic; 
Source: "{app}\Media Player Classic\mplayerc,2.exe"; DestDir: "{app}\Media Player Classic"; DestName: "mplayerc.exe"; Components: player\mpclassic; 
Source: "{app}\Media Player Classic\mplayerc.ini"; DestDir: "{app}\Media Player Classic"; Components: player\mpclassic; Flags: onlyifdoesntexist 
Source: "{app}\Media Player Classic\mpc_en.chm"; DestDir: "{app}\Media Player Classic"; Components: player\mpclassic; 
Source: "{sys}\divx.dll"; DestDir: "{sys}"; Components: video\divx\enc; Flags: ignoreversion 
Source: "{sys}\divxdec.ax"; DestDir: "{sys}"; Components: video\divx\dec; Flags: regserver ignoreversion 
Source: "{sys}\divxa32.acm"; DestDir: "{sys}"; Components: audio\divxwma; 
Source: "{sys}\WMV9VCM.dll"; DestDir: "{sys}"; Components: video\wmv9vcm; Flags: uninsneveruninstall 
Source: "{sys}\ac3filter,1.ax"; DestDir: "{sys}"; DestName: "ac3filter.ax"; Components: audio\ac3\070b; Flags: regserver ignoreversion 
Source: "{sys}\ac3filter,2.ax"; DestDir: "{sys}"; DestName: "ac3filter.ax"; Components: audio\ac3\101a; Flags: regserver ignoreversion 
Source: "{sys}\matrix_mixer.ax"; DestDir: "{sys}"; Components: filters\matrixmixer; Flags: regserver ignoreversion 
Source: "{sys}\ac3acm.acm"; DestDir: "{sys}"; Components: audio\ac3acm; Flags: ignoreversion 
Source: "{sys}\MatroskaSplitter,1.ax"; DestDir: "{sys}"; DestName: "MatroskaSplitter.ax"; Components: filters\matroska\gabest; Flags: regserver 
Source: "{sys}\MatroskaSplitter,2.ax"; DestDir: "{sys}"; DestName: "MatroskaSplitter.ax"; Components: filters\matroska\gabest; Flags: regserver 
Source: "{sys}\MatroskaMuxer.ax"; DestDir: "{sys}"; Components: filters\matroskamuxer; Flags: regserver 
Source: "{sys}\MPCDec.ax"; DestDir: "{sys}"; Components: audio\musepack; Flags: regserver ignoreversion 
Source: "{sys}\DivXc32.dll"; DestDir: "{sys}"; Components: video\divxmpeg4; Flags: ignoreversion 
Source: "{sys}\DivXc32f.dll"; DestDir: "{sys}"; Components: video\divxmpeg4; Flags: ignoreversion 
Source: "{sys}\l3codecx.ax"; DestDir: "{sys}"; Components: audio\mp3; Flags: regserver ignoreversion 
Source: "{sys}\lameACM.acm"; DestDir: "{sys}"; Components: audio\mp3lame; 
Source: "{sys}\lame_acm.xml"; DestDir: "{sys}"; Components: audio\mp3lame; 
Source: "{app}\lame\lame_enc.dll"; DestDir: "{app}\lame"; Components: audio\mp3lame; 
Source: "{app}\lame\lame.exe"; DestDir: "{app}\lame"; Components: audio\mp3lame; 
Source: "{sys}\xvid.ax"; DestDir: "{sys}"; Components: video\xvid\dec; Flags: regserver 
Source: "{sys}\xvidcore.dll"; DestDir: "{sys}"; Components: video\xvid\dec video\xvid\enc; 
Source: "{sys}\xvidvfw.dll"; DestDir: "{sys}"; Components: video\xvid\enc; 
Source: "{app}\icons\xvid.ico"; DestDir: "{app}\icons"; Components: video\xvid\dec video\xvid\enc; 
Source: "{app}\tools\XviD_Quant_Matrices.zip"; DestDir: "{app}\tools"; Components: video\xvid\enc; Flags: ignoreversion 
Source: "{app}\tools\StatsReader.exe"; DestDir: "{app}\tools"; Components: video\xvid\enc; Flags: ignoreversion 
Source: "{sys}\vorbis.dll"; DestDir: "{sys}"; Components: filters\ogg\oggds; 
Source: "{sys}\ogg.dll"; DestDir: "{sys}"; Components: filters\ogg\oggds; 
Source: "{sys}\OggDS.dll"; DestDir: "{sys}"; Components: filters\ogg\oggds; Flags: regserver ignoreversion 
Source: "{sys}\vorbisenc.dll"; DestDir: "{sys}"; Components: filters\ogg\oggds; 
Source: "{sys}\vorbisfile.dll"; DestDir: "{sys}"; Components: filters\ogg\oggds; 
Source: "{sys}\OggSplitter,1.ax"; DestDir: "{sys}"; DestName: "OggSplitter.ax"; Components: filters\ogg\gabest; Flags: regserver ignoreversion 
Source: "{sys}\OggSplitter,2.ax"; DestDir: "{sys}"; DestName: "OggSplitter.ax"; Components: filters\ogg\gabest; Flags: regserver ignoreversion 
Source: "{sys}\CoreVorbis.ax"; DestDir: "{sys}"; Components: audio\vorbis; Flags: regserver ignoreversion 
Source: "{sys}\CoreAAC.ax"; DestDir: "{sys}"; Components: audio\aac; Flags: regserver ignoreversion 
Source: "{sys}\vsfilter,1.dll"; DestDir: "{sys}"; DestName: "vsfilter.dll"; Components: filters\vsfilter\233; Flags: regserver ignoreversion 
Source: "{sys}\vsfilter,2.dll"; DestDir: "{sys}"; DestName: "vsfilter.dll"; Components: filters\vsfilter\233; Flags: regserver ignoreversion 
Source: "{sys}\vsfilter,3.dll"; DestDir: "{sys}"; DestName: "vsfilter.dll"; Components: filters\vsfilter\236; Flags: regserver ignoreversion 
Source: "{sys}\vsfilter,4.dll"; DestDir: "{sys}"; DestName: "vsfilter.dll"; Components: filters\vsfilter\236; Flags: regserver ignoreversion 
Source: "{sys}\unrar.dll"; DestDir: "{sys}"; Components: filters\vsfilter; Flags: uninsneveruninstall 
Source: "{sys}\OpenQuicktimeLib.dll"; DestDir: "{sys}"; Components: video\3ivx\dec video\3ivx\enc; Flags: comparetimestamp 
Source: "{sys}\libfaac.dll"; DestDir: "{sys}"; Components: audio\3ivx\enc; 
Source: "{sys}\3ivx.dll"; DestDir: "{sys}"; Components: video\3ivx\dec video\3ivx\enc; 
Source: "{app}\tools\3ivxConfig.exe"; DestDir: "{app}\tools"; Components: video\3ivx\dec video\3ivx\enc audio\3ivx\dec audio\3ivx\enc; 
Source: "{sys}\3ivxVfWCodec.dll"; DestDir: "{sys}"; Components: video\3ivx\enc; 
Source: "{sys}\3ivxDSDecoder.ax"; DestDir: "{sys}"; Components: video\3ivx\dec; Flags: regserver 
Source: "{sys}\3ivxDSEncoder.ax"; DestDir: "{sys}"; Components: video\3ivx\enc; Flags: regserver 
Source: "{sys}\3ivxDSMediaSplitter.ax"; DestDir: "{sys}"; Components: video\3ivx\dec; Flags: regserver 
Source: "{sys}\3ivxDSMediaMux.ax"; DestDir: "{sys}"; Components: video\3ivx\enc; Flags: regserver 
Source: "{sys}\3ivxDSAudioDecoder.ax"; DestDir: "{sys}"; Components: audio\3ivx\dec; Flags: regserver 
Source: "{sys}\3ivxDSAudioEncoder.ax"; DestDir: "{sys}"; Components: audio\3ivx\enc; Flags: regserver 
Source: "{sys}\shoutcastsource.ax"; DestDir: "{sys}"; Components: filters\shoutcast; Flags: regserver ignoreversion 
Source: "{sys}\mpg4c32.dll"; DestDir: "{sys}"; Components: video\msmpeg4; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{sys}\mmswitch.ax"; DestDir: "{sys}"; Components: filters\mmswitch; Flags: regserver ignoreversion 
Source: "{sys}\mmswitch.dll"; DestDir: "{sys}"; Components: filters\mmswitch; Flags: regserver ignoreversion 
Source: "{sys}\MMAVILNG.exe"; DestDir: "{sys}"; Components: filters\mmswitch; Flags: ignoreversion 
Source: "{app}\tools\fourcc.exe"; DestDir: "{app}\tools"; Components: tools\fourcc; Flags: ignoreversion 
Source: "{app}\tools\VobSubStrip.exe"; DestDir: "{app}\tools"; Components: tools\vobsubstrip; Flags: ignoreversion 
Source: "{app}\tools\sherlock.exe"; DestDir: "{app}\tools"; Components: tools\sherlock; Flags: ignoreversion 
Source: "{app}\tools\minicalc.exe"; DestDir: "{app}\tools"; Components: tools\minicalc; Flags: ignoreversion 
Source: "{app}\gspot\gspot.exe"; DestDir: "{app}\gspot"; Components: tools\gspot; Flags: ignoreversion 
Source: "{app}\gspot\GSpot25.dat"; DestDir: "{app}\gspot"; Components: tools\gspot; Flags: ignoreversion 
Source: "{app}\gspot\ExportFormat.txt"; DestDir: "{app}\gspot"; Components: tools\gspot; Flags: ignoreversion 
Source: "{app}\tools\graphedit.exe"; DestDir: "{app}\tools"; Components: tools\graphedit; Flags: ignoreversion 
Source: "{app}\tools\graphedit.chm"; DestDir: "{app}\tools"; Components: tools\graphedit; Flags: ignoreversion 
Source: "{app}\tools\avifixed.exe"; DestDir: "{app}\tools"; Components: tools\avifixed; Flags: ignoreversion 
Source: "{sys}\huffyuv.dll"; DestDir: "{sys}"; Components: video\huffyuv; Flags: ignoreversion 
Source: "{sys}\Ir50_32.dll"; DestDir: "{sys}"; Components: video\indeo\5; Flags: regserver 
Source: "{sys}\ir50_lcs.dll"; DestDir: "{sys}"; Components: video\indeo\5; 
Source: "{sys}\Ir50_qc.dll"; DestDir: "{sys}"; Components: video\indeo\5; Flags: sharedfile 
Source: "{sys}\Ir50_qcx.dll"; DestDir: "{sys}"; Components: video\indeo\5; Flags: sharedfile 
Source: "{sys}\iac25_32.ax"; DestDir: "{sys}"; Components: video\indeo\32 video\indeo\4 video\indeo\5; Flags: uninsneveruninstall regserver onlyifdoesntexist 
Source: "{sys}\Ivfsrc.ax"; DestDir: "{sys}"; Components: video\indeo\32 video\indeo\4 video\indeo\5; Flags: uninsneveruninstall regserver onlyifdoesntexist 
Source: "{sys}\Ir32_32.dll"; DestDir: "{sys}"; Components: video\indeo\32; 
Source: "{sys}\Ir41_qc.dll"; DestDir: "{sys}"; Components: video\indeo\4; Flags: sharedfile 
Source: "{sys}\Ir41_qcx.dll"; DestDir: "{sys}"; Components: video\indeo\4; Flags: sharedfile 
Source: "{sys}\Ir41_32.ax"; DestDir: "{sys}"; Components: video\indeo\4; Flags: uninsneveruninstall regserver onlyifdoesntexist 
Source: "{app}\haali\mkx,1.dll"; DestDir: "{app}\haali"; DestName: "mkx.dll"; Components: filters\mp4 filters\matroska\haali; Flags: regserver 
Source: "{app}\haali\mp4,1.dll"; DestDir: "{app}\haali"; DestName: "mp4.dll"; Components: filters\mp4 filters\matroska\haali; Flags: regserver 
Source: "{app}\haali\splitter,1.ax"; DestDir: "{app}\haali"; DestName: "splitter.ax"; Components: filters\mp4 filters\matroska\haali; Flags: regserver 
Source: "{app}\haali\mkx,2.dll"; DestDir: "{app}\haali"; DestName: "mkx.dll"; Components: filters\mp4 filters\matroska\haali; Flags: regserver 
Source: "{app}\haali\mp4,2.dll"; DestDir: "{app}\haali"; DestName: "mp4.dll"; Components: filters\mp4 filters\matroska\haali; Flags: regserver 
Source: "{app}\haali\splitter,2.ax"; DestDir: "{app}\haali"; DestName: "splitter.ax"; Components: filters\mp4 filters\matroska\haali; Flags: regserver 
Source: "{sys}\CLVSD.ax"; DestDir: "{sys}"; Components: video\dvd video\mpeg2\dec\cl; Flags: regserver 
Source: "{sys}\CLLine21.ax"; DestDir: "{sys}"; Components: video\dvd; Flags: regserver 
Source: "{sys}\CLNAVX.ax"; DestDir: "{sys}"; Components: video\dvd; Flags: regserver 
Source: "{sys}\CLDemuxer.ax"; DestDir: "{sys}"; Components: video\dvd; Flags: regserver 
Source: "{sys}\mpeg2dmx.ax"; DestDir: "{sys}"; Components: video\mpeg2\splt\ec; Flags: regserver ignoreversion 
Source: "{sys}\mcdsmpeg.ax"; DestDir: "{sys}"; Components: video\mpeg2\dec\mc; Flags: regserver ignoreversion 
Source: "{sys}\mcmpgdec.dll"; DestDir: "{sys}"; Components: video\mpeg2\splt\mc video\mpeg2\dec\mc; Flags: ignoreversion 
Source: "{sys}\mcspmpeg.ax"; DestDir: "{sys}"; Components: video\mpeg2\splt\mc; Flags: regserver ignoreversion 
Source: "{sys}\mpegin.dll"; DestDir: "{sys}"; Components: video\mpeg2\splt\mc; Flags: ignoreversion 
Source: "{sys}\lmpgspl.ax"; DestDir: "{sys}"; Components: video\mpeg2\splt\lg; Flags: regserver 
Source: "{sys}\lmpgad.ax"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; Flags: regserver 
Source: "{sys}\lmpgvd.ax"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; Flags: regserver 
Source: "{sys}\mplaa6.dll"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; 
Source: "{sys}\mplam6.dll"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; 
Source: "{sys}\mplapx.dll"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; 
Source: "{sys}\mplaw7.dll"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; 
Source: "{sys}\mplva6.dll"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; 
Source: "{sys}\mplvm6.dll"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; 
Source: "{sys}\mplvpx.dll"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; 
Source: "{sys}\mplvw7.dll"; DestDir: "{sys}"; Components: video\mpeg2\dec\lg; 
Source: "{app}\tools\LSMpgCfg.exe"; DestDir: "{app}\tools"; Components: video\mpeg2\dec\lg; 
Source: "{sys}\I263_32.drv"; DestDir: "{sys}"; Components: video\i263; 
Source: "{sys}\IMC32.acm"; DestDir: "{sys}"; Components: video\i263; 
Source: "{sys}\MACDec.dll"; DestDir: "{sys}"; Components: audio\ape; 
Source: "{sys}\MonkeySource.ax"; DestDir: "{sys}"; Components: audio\ape; Flags: regserver 
Source: "{sys}\vp6dec.ax"; DestDir: "{sys}"; Components: video\vp6\dec; Flags: regserver 
Source: "{sys}\vp6vfw.dll"; DestDir: "{sys}"; Components: video\vp6\enc; 
Source: "{sys}\vp7dec.ax"; DestDir: "{sys}"; Components: video\vp7\dec; Flags: regserver 
Source: "{sys}\vp7vfw.dll"; DestDir: "{sys}"; Components: video\vp7\enc; 
Source: "{sys}\vp31vfw.dll"; DestDir: "{sys}"; Components: video\vp3; Flags: ignoreversion 
Source: "{sys}\voxmsdec.ax"; DestDir: "{sys}"; Components: audio\voxware; Flags: regserver onlyifdoesntexist 
Source: "{sys}\msms001.vwp"; DestDir: "{sys}"; Components: audio\voxware; Flags: onlyifdoesntexist 
Source: "{sys}\WavPackDSDecoder.ax"; DestDir: "{sys}"; Components: audio\wavpack; Flags: regserver 
Source: "{sys}\WavPackDSSplitter.ax"; DestDir: "{sys}"; Components: audio\wavpack; Flags: regserver 
Source: "{sys}\CoreFLACDecoder.ax"; DestDir: "{sys}"; Components: audio\flac; Flags: regserver 

[Registry]
Root: HKLM; Subkey: "Software\KLCodecPack"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\KLCodecPack"; ValueName: "version"; ValueType: Dword; ValueData: "$FB"; 
Root: HKLM; Subkey: "Software\KLCodecPack"; ValueName: "type"; ValueType: String; ValueData: "full"; 
Root: HKLM; Subkey: "Software\KLCodecPack"; ValueName: "installdir"; ValueType: String; ValueData: "{app}"; 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "div3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\divx\dec; 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "dx50"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\divx\dec; 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "hfyu"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\huffyuv; 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "mp41"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\msmpeg4; 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "mp42"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\msmpeg4; 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "mp43"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND (video\msmpeg4 OR video\3ivx\dec); 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "mpg2"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\mpeg2\dec; 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "vp3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\vp3; 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "xvid"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\xvid\dec; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "div3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\divx\dec; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dx50"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\divx\dec; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "hfyu"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig video\huffyuv; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp41"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig video\msmpeg4; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp42"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\msmpeg4; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp43"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND (video\msmpeg4 OR video\3ivx\dec); 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mpg2"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\mpeg2\dec; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "vp3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\vp3; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "xvid"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\xvid\dec; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "divx.dll"; ValueType: String; ValueData: "DivX Pro CE 5.2.1"; Components: video\divx\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "xvidvfw.dll"; ValueType: String; ValueData: "XviD MPEG-4 Video Codec v1.0.3"; Components: video\xvid\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "DivXc32.dll"; ValueType: String; ValueData: "DivX ;-) MPEG-4 (Low-Motion)"; Components: video\divxmpeg4; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "DivXc32f.dll"; ValueType: String; ValueData: "DivX ;-) MPEG-4 (Fast-Motion)"; Components: video\divxmpeg4; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "lameACM.acm"; ValueType: String; ValueData: "Lame ACM MP3 CODEC v3.96"; Components: audio\mp3lame; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "3ivxVfWCodec.dll"; ValueType: String; ValueData: "3ivx D4 4.5.1 Pro"; Components: video\3ivx\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "divxa32.acm"; ValueType: String; ValueData: "DivX ;) Audio"; Components: audio\divxwma; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "huffyuv.dll"; ValueType: String; ValueData: "Huffyuv lossless codec"; Components: video\huffyuv; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "Ir50_32.dll"; ValueType: String; ValueData: "Ligos Indeo 5.2"; Components: video\indeo\5; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "wmv9vcm.dll"; ValueType: String; ValueData: "Microsoft Windows Media Video 9"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "i263_32.drv"; ValueType: String; ValueData: "Intel I.263 Video Driver 2.55.1.16"; Components: video\i263; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "imc32.acm"; ValueType: String; ValueData: "Intel Music Coder"; Components: video\i263; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "Ir32_32.dll"; ValueType: String; ValueData: "Intel Indeo 3.2"; Components: video\indeo\32; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "Ir41_32.ax"; ValueType: String; ValueData: "Indeo v.4.51.16.2 Interactive codec"; Components: video\indeo\4; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "vp6vfw.dll"; ValueType: String; ValueData: "On2 VP6 codec"; Components: video\vp6\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "vp7vfw.dll"; ValueType: String; ValueData: "On2 VP7 codec"; Components: video\vp7\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "vp31vfw.dll"; ValueType: String; ValueData: "On2 VP3 codec"; Components: video\vp3; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "MPG4c32.dll"; ValueType: String; ValueData: "MS MPEG-4 Video Codec"; Components: video\msmpeg4; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "ac3acm.acm"; ValueType: String; ValueData: "AC3 ACM Decompressor"; Components: audio\ac3acm; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "ff_vfw.dll"; ValueType: String; ValueData: "ffdshow video encoder"; Components: ffdshow\vfw; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.DIVX"; ValueType: String; ValueData: "divx.dll"; Components: video\divx\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.XVID"; ValueType: String; ValueData: "xvidvfw.dll"; Components: video\xvid\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.DIV3"; ValueType: String; ValueData: "DivXc32.dll"; Components: video\divxmpeg4; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.DIV4"; ValueType: String; ValueData: "DivXc32f.dll"; Components: video\divxmpeg4; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "msacm.lameacm"; ValueType: String; ValueData: "lameACM.acm"; Components: audio\mp3lame; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.3ivx"; Components: video\3ivx\enc; Flags: deletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.3iv2"; ValueType: String; ValueData: "3ivxVfWCodec.dll"; Components: video\3ivx\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "msacm.divxa32"; ValueType: String; ValueData: "divxa32.acm"; Components: audio\divxwma; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.HFYU"; ValueType: String; ValueData: "huffyuv.dll"; Components: video\huffyuv; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.IV50"; ValueType: String; ValueData: "Ir50_32.dll"; Components: video\indeo\5; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.wmv3"; ValueType: String; ValueData: "wmv9vcm.dll"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.i263"; ValueType: String; ValueData: "i263_32.drv"; Components: video\i263; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.i420"; ValueType: String; ValueData: "i263_32.drv"; Components: video\i263; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "msacm.imc"; ValueType: String; ValueData: "imc32.acm"; Components: video\i263; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.IV32"; ValueType: String; ValueData: "Ir32_32.dll"; Components: video\indeo\32; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.IV31"; ValueType: String; ValueData: "Ir32_32.dll"; Components: video\indeo\32; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.IV40"; ValueType: String; ValueData: "Ir41_32.ax"; Components: video\indeo\4; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.IV41"; ValueType: String; ValueData: "Ir41_32.ax"; Components: video\indeo\4; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.VP60"; ValueType: String; ValueData: "vp6vfw.dll"; Components: video\vp6\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.VP61"; ValueType: String; ValueData: "vp6vfw.dll"; Components: video\vp6\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.VP62"; ValueType: String; ValueData: "vp6vfw.dll"; Components: video\vp6\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.VP70"; ValueType: String; ValueData: "vp7vfw.dll"; Components: video\vp7\enc; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.VP31"; ValueType: String; ValueData: "vp31vfw.dll"; Components: video\vp3; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.MPG4"; ValueType: String; ValueData: "Mpg4c32.dll"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.MP42"; ValueType: String; ValueData: "Mpg4c32.dll"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.MP43"; ValueType: String; ValueData: "Mpg4c32.dll"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "msacm.ac3acm"; ValueType: String; ValueData: "ac3acm.acm"; Components: audio\ac3acm; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "vidc.ffds"; ValueType: String; ValueData: "ff_vfw.dll"; Components: ffdshow\vfw; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "msacm.avis"; ValueType: String; ValueData: "ff_acm.acm"; Components: ffdshow\vfw; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.DIV3"; Components: video\divxmpeg4; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.DIV4"; Components: video\divxmpeg4; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.HFYU"; Components: video\huffyuv; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.divxa32"; Components: audio\divxwma; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.IV50"; Components: video\indeo\5; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.IV40"; Components: video\indeo\4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.IV41"; Components: video\indeo\4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.DIVX"; Components: video\divx\enc; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.XVID"; Components: video\xvid\enc; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.lameacm"; Components: audio\mp3lame; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP60"; Components: video\vp6\enc; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP61"; Components: video\vp6\enc; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP62"; Components: video\vp6\enc; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP70"; Components: video\vp7\enc; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP31"; Components: video\vp3; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.ac3acm"; Components: audio\ac3acm; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.DIV3"; ValueName: "Description"; ValueType: String; ValueData: "DivX ;-) MPEG-4 Video Codec (Low-Motion)"; Components: video\divxmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.DIV3"; ValueName: "Driver"; ValueType: String; ValueData: "DivXc32.dll"; Components: video\divxmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.DIV3"; ValueName: "FriendlyName"; ValueType: String; ValueData: "DivX ;-) MPEG-4 Video Codec (Low-Motion)"; Components: video\divxmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.DIV4"; ValueName: "Description"; ValueType: String; ValueData: "DivX ;-) MPEG-4 Video Codec (Fast-Motion)"; Components: video\divxmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.DIV4"; ValueName: "Driver"; ValueType: String; ValueData: "DivXc32f.dll"; Components: video\divxmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.DIV4"; ValueName: "FriendlyName"; ValueType: String; ValueData: "DivX ;-) MPEG-4 Video Codec (Fast-Motion)"; Components: video\divxmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.HFYU"; ValueName: "Description"; ValueType: String; ValueData: "Huffyuv lossless codec"; Components: video\huffyuv; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.HFYU"; ValueName: "Driver"; ValueType: String; ValueData: "huffyuv.dll"; Components: video\huffyuv; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.HFYU"; ValueName: "FriendlyName"; ValueType: String; ValueData: "Huffyuv lossless codec"; Components: video\huffyuv; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.IV50"; ValueName: "Description"; ValueType: String; ValueData: "Ligos Indeo XP v5.2 codec"; Components: video\indeo\5; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.IV50"; ValueName: "Driver"; ValueType: String; ValueData: "Ir50_32.dll"; Components: video\indeo\5; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.IV50"; ValueName: "FriendlyName"; ValueType: String; ValueData: "Ligos Indeo 5.2"; Components: video\indeo\5; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.DIVX"; ValueName: "Description"; ValueType: String; ValueData: "DivX Pro CE 5.2.1"; Components: video\divx\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.DIVX"; ValueName: "Driver"; ValueType: String; ValueData: "divx.dll"; Components: video\divx\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.DIVX"; ValueName: "FriendlyName"; ValueType: String; ValueData: "DivX Pro CE 5.2.1"; Components: video\divx\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.XVID"; ValueName: "Description"; ValueType: String; ValueData: "XviD v1.0.2"; Components: video\xvid\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.XVID"; ValueName: "Driver"; ValueType: String; ValueData: "xvidvfw.dll"; Components: video\xvid\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.XVID"; ValueName: "FriendlyName"; ValueType: String; ValueData: "XviD v1.0.3"; Components: video\xvid\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.divxa32"; ValueName: "Description"; ValueType: String; ValueData: "DivX ;) Audio"; Components: audio\divxwma; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.divxa32"; ValueName: "Driver"; ValueType: String; ValueData: "divxa32.acm"; Components: audio\divxwma; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.divxa32"; ValueName: "FriendlyName"; ValueType: String; ValueData: "DivX ;) Audio"; Components: audio\divxwma; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.wmv3"; ValueName: "Description"; ValueType: String; ValueData: "Microsoft Windows Media Video 9"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.wmv3"; ValueName: "Driver"; ValueType: String; ValueData: "wmv9vcm.dll"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.wmv3"; ValueName: "FriendlyName"; ValueType: String; ValueData: "Microsoft Windows Media Video 9"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.lameacm"; ValueName: "Description"; ValueType: String; ValueData: "Lame ACM MP3 CODEC v3.96"; Components: audio\mp3lame; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.lameacm"; ValueName: "Driver"; ValueType: String; ValueData: "lameACM.acm"; Components: audio\mp3lame; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.lameacm"; ValueName: "FriendlyName"; ValueType: String; ValueData: "Lame ACM MP3 CODEC v3.96"; Components: audio\mp3lame; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.IV41"; ValueName: "Description"; ValueType: String; ValueData: "Indeo v.4.51.16.2 Interactive codec"; Components: video\indeo\4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.IV41"; ValueName: "Driver"; ValueType: String; ValueData: "Ir41_32.ax"; Components: video\indeo\4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.IV41"; ValueName: "FriendlyName"; ValueType: String; ValueData: "Indeo v.4.51.16.2 Interactive codec"; Components: video\indeo\4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP60"; ValueName: "Description"; ValueType: String; ValueData: "On2 VP60 [Simple Profile]"; Components: video\vp6\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP60"; ValueName: "Driver"; ValueType: String; ValueData: "vp6vfw.dll"; Components: video\vp6\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP60"; ValueName: "FriendlyName"; ValueType: String; ValueData: "On2 VP60 [Simple Profile]"; Components: video\vp6\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP61"; ValueName: "Description"; ValueType: String; ValueData: "On2 VP61 [Advanced Profile]"; Components: video\vp6\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP61"; ValueName: "Driver"; ValueType: String; ValueData: "vp6vfw.dll"; Components: video\vp6\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP61"; ValueName: "FriendlyName"; ValueType: String; ValueData: "On2 VP61 [Advanced Profile]"; Components: video\vp6\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP62"; ValueName: "Description"; ValueType: String; ValueData: "On2 VP62 [Advanced Profile]"; Components: video\vp6\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP62"; ValueName: "Driver"; ValueType: String; ValueData: "vp6vfw.dll"; Components: video\vp6\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP62"; ValueName: "FriendlyName"; ValueType: String; ValueData: "On2 VP62 [Advanced Profile]"; Components: video\vp6\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP70"; ValueName: "Description"; ValueType: String; ValueData: "On2 VP7"; Components: video\vp7\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP70"; ValueName: "Driver"; ValueType: String; ValueData: "vp7vfw.dll"; Components: video\vp7\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP70"; ValueName: "FriendlyName"; ValueType: String; ValueData: "On2 VP7"; Components: video\vp7\enc; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP31"; ValueName: "Description"; ValueType: String; ValueData: "On2 VP3"; Components: video\vp3; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP31"; ValueName: "Driver"; ValueType: String; ValueData: "vp31vfw.dll"; Components: video\vp3; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.VP31"; ValueName: "FriendlyName"; ValueType: String; ValueData: "On2 VP3"; Components: video\vp3; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.MPG4"; ValueName: "Description"; ValueType: String; ValueData: "Microsoft MPEG-4 Video Codec V1"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.MPG4"; ValueName: "Driver"; ValueType: String; ValueData: "MPG4c32.dll"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.MPG4"; ValueName: "FriendlyName"; ValueType: String; ValueData: "Microsoft MPEG-4 Video Codec V1"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.MP42"; ValueName: "Description"; ValueType: String; ValueData: "Microsoft MPEG-4 Video Codec V2"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.MP42"; ValueName: "Driver"; ValueType: String; ValueData: "MPG4c32.dll"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.MP42"; ValueName: "FriendlyName"; ValueType: String; ValueData: "Microsoft MPEG-4 Video Codec V2"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.MP43"; ValueName: "Description"; ValueType: String; ValueData: "Microsoft MPEG-4 Video Codec V3"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.MP43"; ValueName: "Driver"; ValueType: String; ValueData: "MPG4c32.dll"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\vidc.MP43"; ValueName: "FriendlyName"; ValueType: String; ValueData: "Microsoft MPEG-4 Video Codec V3"; Components: video\msmpeg4; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.ac3acm"; ValueName: "Description"; ValueType: String; ValueData: "AC3 ACM Decompressor"; Components: audio\ac3acm; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.ac3acm"; ValueName: "Driver"; ValueType: String; ValueData: "ac3acm.acm"; Components: audio\ac3acm; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\msacm\msacm.ac3acm"; ValueName: "FriendlyName"; ValueType: String; ValueData: "AC3 ACM Decompressor"; Components: audio\ac3acm; 
Root: HKCU; Subkey: "Software\DivXNetworks"; Components: video\divx; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; Components: video\divx; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Disable logo"; ValueType: Dword; ValueData: "$1"; Components: video\divx\dec; 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Auto PP"; ValueType: Dword; ValueData: "$1"; Components: video\divx\dec; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Smooth Playback"; ValueType: Dword; ValueData: "$1"; Components: video\divx\dec; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Rotate Artwork"; ValueType: Dword; ValueData: "$0"; Components: video\divx; 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Check for Updates"; ValueType: Dword; ValueData: "$0"; Components: video\divx; 
Root: HKCR; Subkey: "CLSID\{{083863F1-70DE-11d0-BD40-00A0C911CE86}\Instance\CLSID_DivXDeux"; Components: video\divx\dec; Flags: uninsdeletekey dontcreatekey 
Root: HKCR; Subkey: "CLSID\{{310E42A0-F913-11D4-887C-006008DC5C26}"; Components: video\divx\dec; Flags: uninsdeletekey dontcreatekey 
Root: HKCR; Subkey: "CLSID\{{CF49D4E0-1115-11CE-B03A-0020AF0BA770}\Instance\CLSID_DivXDeux"; Components: video\divx\dec; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Support Generic Mpeg-4"; ValueType: Dword; ValueData: "$0"; Components: video\xvid\dec; 
Root: HKCU; Subkey: "Software\GNU"; Components: video\xvid\dec video\xvid\enc; Flags: uninsdeletekeyifempty dontcreatekey 
Root: HKLM; Subkey: "Software\GNU"; Components: video\xvid\dec video\xvid\enc; Flags: uninsdeletekeyifempty dontcreatekey 
Root: HKCU; Subkey: "Software\GNU\XviD"; Components: video\xvid\enc; Flags: deletekey 
Root: HKCU; Subkey: "Software\GNU\XviD"; Components: video\xvid\enc video\xvid\dec; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\3ivx"; Components: video\3ivx\dec video\3ivx\enc audio\3ivx\dec audio\3ivx\enc; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\3ivx\CurrentVersion"; ValueName: "CodecSuite"; ValueType: Dword; ValueData: "$405011E"; Components: video\3ivx\dec video\3ivx\enc audio\3ivx\dec audio\3ivx\enc; 
Root: HKLM; Subkey: "Software\3ivx\CurrentVersion"; ValueType: String; ValueData: "3ivx D4 4.5.1 Pro"; Components: video\3ivx\dec video\3ivx\enc audio\3ivx\dec audio\3ivx\enc; 
Root: HKCU; Subkey: "Software\3ivx"; Components: video\3ivx\dec video\3ivx\enc audio\3ivx\dec audio\3ivx\enc; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\3ivx"; ValueName: "3ivx Media Splitter Props"; ValueType: Binary; ValueData: "01 00 00 00 00 00 00 00 02 00 00 00 D4 56 E4 3F 00 00 00 00"; Components: video\3ivx\dec audio\3ivx\dec; Flags: dontcreatekey 
Root: HKCU; Subkey: "Software\3ivx"; ValueName: "3ivx Video Decoder Props"; ValueType: Binary; ValueData: "04 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 60 00 02 00 00 00 51 59 E4 3F 00 00 00 00"; Components: video\3ivx\dec; Flags: dontcreatekey 
Root: HKCU; Subkey: "Software\Gabest"; Components: filters\vsfilter; Flags: uninsdeletekeyifempty dontcreatekey 
Root: HKCU; Subkey: "Software\Gabest\Media Player Classic"; Components: player\mpclassic; Flags: deletekey 
Root: HKCU; Subkey: "Software\Gabest\Media Player Classic"; Components: player\mpclassic; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\Gabest\vsfilter"; Components: filters\vsfilter; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Gabest\vsfilter\General"; ValueName: "DoPreBuffering"; ValueType: Dword; ValueData: "$0"; Components: filters\vsfilter; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Gabest\vsfilter\General"; ValueName: "Extpic"; ValueType: Dword; ValueData: "$0"; Components: filters\vsfilter; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Gabest\vsfilter\General"; ValueName: "InstantUpdate"; ValueType: Dword; ValueData: "$1"; Components: filters\vsfilter; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Gabest\vsfilter\General"; ValueName: "Mod32Fix"; ValueType: Dword; ValueData: "$1"; Components: filters\vsfilter; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Gabest\vsfilter\General"; ValueName: "ResX2Mode"; ValueType: Dword; ValueData: "$0"; Components: filters\vsfilter; Flags: createvalueifdoesntexist 
Root: HKCR; Subkey: "applications\mplayerc.exe"; Components: player\mpclassic; Flags: deletekey 
Root: HKLM; Subkey: "Software\On2 Technologies"; Components: video\vp6\dec video\vp6\enc video\vp3 video\vp7\dec video\vp7\enc; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\On2 Technologies\VFW Encoder/Decoder Settings"; Components: video\vp3 video\vp6\dec video\vp6\enc video\vp7\dec video\vp7\enc; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\On2 Technologies\VFW Encoder/Decoder Settings\VP60"; ValueName: "strRootDirectory"; ValueType: String; ValueData: "{app}\tools"; Components: video\vp6\dec video\vp6\enc; 
Root: HKLM; Subkey: "Software\On2 Technologies\VFW Encoder/Decoder Settings\VP61"; ValueName: "strRootDirectory"; ValueType: String; ValueData: "{app}\tools"; Components: video\vp6\dec video\vp6\enc; 
Root: HKLM; Subkey: "Software\On2 Technologies\VFW Encoder/Decoder Settings\VP62"; ValueName: "strRootDirectory"; ValueType: String; ValueData: "{app}\tools"; Components: video\vp6\dec video\vp6\enc; 
Root: HKLM; Subkey: "Software\On2 Technologies\VFW Encoder/Decoder Settings\VP70"; ValueName: "strRootDirectory"; ValueType: String; ValueData: "{app}\tools"; Components: video\vp7\dec video\vp7\enc; 
Root: HKLM; Subkey: "Software\On2 Technologies\VP6 VFW Codec"; Components: video\vp6\dec video\vp6\enc; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\On2 Technologies\On2 VP7 Personal Edition"; Components: video\vp7\dec video\vp7\enc; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\On2 Technologies\VP7 Direct Show Decoder Settings"; Components: video\vp7\dec video\vp7\enc; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\On2 Technologies\On2 VP3 Video for Windows Codec"; Components: video\vp3; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\AC3filter"; Components: audio\ac3\070b audio\ac3\101a; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; Components: audio\ac3\101a; Flags: deletekey 
Root: HKCU; Subkey: "Software\AC3filter\preset\Default"; Components: audio\ac3\070b; Flags: deletekey 
Root: HKLM; Subkey: "Software\KLCodecPack\settings"; ValueName: "ac3filterversion"; ValueType: String; ValueData: "0.70b"; Components: audio\ac3\070b; 
Root: HKLM; Subkey: "Software\KLCodecPack\settings"; ValueName: "ac3filterversion"; ValueType: String; ValueData: "1.01a"; Components: audio\ac3\101a; 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "auto_gain"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\070b AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "normalize"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\070b AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "normalize_matrix"; ValueType: Dword; ValueData: "$1"; Components: audio\ac3\070b AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "master"; ValueType: String; ValueData: "3.162278"; Components: audio\ac3\070b AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "voice_control"; ValueType: Dword; ValueData: "$1"; Components: audio\ac3\070b AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "clev_lock"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\070b AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "clev"; ValueType: String; ValueData: "3.162278"; Components: audio\ac3\070b AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "dynrng"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\070b AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "formats"; ValueType: Dword; ValueData: "$5400"; Components: audio\ac3\101a; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "use_spdif"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\101a; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "spdif_pt"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\101a; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "formats"; ValueType: Dword; ValueData: "$5400"; Components: audio\ac3\101a AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "auto_gain"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\101a AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "normalize"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\101a AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "normalize_matrix"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\101a AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "master"; ValueType: String; ValueData: "2.511886"; Components: audio\ac3\101a AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "voice_control"; ValueType: Dword; ValueData: "$1"; Components: audio\ac3\101a AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\AC3filter"; ValueName: "clev"; ValueType: String; ValueData: "3.162278"; Components: audio\ac3\101a AND audio\ac3\boostvolume; 
Root: HKCU; Subkey: "Software\matrixmixer"; Components: filters\matrixmixer; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\CoreAAC"; Components: audio\aac; Flags: uninsdeletekey dontcreatekey 
Root: HKCR; Subkey: "Media Type\Extensions\.mp4"; ValueName: "Source Filter"; ValueType: String; ValueData: "{{55DA30FC-F16B-49FC-BAA5-AE59FC65F82D}"; Components: filters\mp4; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "Media Type\{{e436eb83-524f-11ce-9f53-0020af0ba770}\{{49952F4C-3EDC-4A9B-8906-1DE02A3D4BC2}"; ValueName: "2"; Components: filters\mp4; Flags: deletevalue 
Root: HKCR; Subkey: "Media Type\{{e436eb83-524f-11ce-9f53-0020af0ba770}\{{49952F4C-3EDC-4A9B-8906-1DE02A3D4BC2}"; ValueName: "3"; Components: filters\mp4; Flags: deletevalue 
Root: HKCR; Subkey: "Media Type\{{e436eb83-524f-11ce-9f53-0020af0ba770}\{{49952F4C-3EDC-4A9B-8906-1DE02A3D4BC2}"; ValueName: "4"; ValueType: String; ValueData: "0,2,,0000,4,4,,66747970"; Components: filters\mp4; 
Root: HKCR; Subkey: "Media Type\{{e436eb83-524f-11ce-9f53-0020af0ba770}\{{49952F4C-3EDC-4A9B-8906-1DE02A3D4BC2}"; ValueName: "5"; ValueType: String; ValueData: "0,4,,52494646,8,4,,43445841,36,4,,64617461,68,2,,0000,72,4,,66747970"; Components: filters\mp4; 
Root: HKLM; Subkey: "Software\HaaliMkx"; Components: filters\mp4; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\HaaliMkx\Input"; Components: filters\mp4; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\HaaliMkx\Input"; ValueName: "mp4.1"; ValueType: String; ValueData: "00000000ffffffff,0000000066747970,{{B3DE7EDC-0CD4-4d07-B1C5-92219CD475CC}"; Components: filters\mp4; 
Root: HKCU; Subkey: "Software\HaaliMkx\Input"; ValueName: "mp4.2"; ValueType: String; ValueData: "00000000ffffffff,000000006d6f6f76,{{B3DE7EDC-0CD4-4d07-B1C5-92219CD475CC}"; Components: filters\mp4; 
Root: HKCU; Subkey: "Software\HaaliMkx\Input"; ValueName: "mp4.3"; ValueType: String; ValueData: "00000000ffffffff,000000006d646174,{{B3DE7EDC-0CD4-4d07-B1C5-92219CD475CC}"; Components: filters\mp4; 
Root: HKCU; Subkey: "Software\Haali"; Components: filters\mp4 filters\matroska\haali; Flags: uninsdeletekeyifempty dontcreatekey 
Root: HKCU; Subkey: "Software\Haali\Matroska Splitter"; Components: filters\mp4 filters\matroska\haali; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\Haali\Matroska Splitter"; ValueName: "input.fonts"; ValueType: Dword; ValueData: "$1"; Components: filters\mp4 filters\matroska\haali; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Haali\Matroska Splitter"; ValueName: "vsfilter.autoload"; ValueType: Dword; ValueData: "$1"; Components: filters\mp4 filters\matroska\haali; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Haali\Matroska Splitter"; ValueName: "ui.trayicon"; ValueType: Dword; ValueData: "$1"; Components: filters\mp4 filters\matroska\haali; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Haali\Matroska Splitter"; ValueName: "audio.languages"; ValueType: String; ValueData: "eng"; Components: filters\mp4 filters\matroska\haali; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Haali\Matroska Splitter"; ValueName: "subtitle.languages"; ValueType: String; ValueData: "eng"; Components: filters\mp4 filters\matroska\haali; Flags: createvalueifdoesntexist 
Root: HKCR; Subkey: "Media Type\Extensions\.mkv"; ValueName: "Source Filter"; ValueType: String; ValueData: "{{55DA30FC-F16B-49FC-BAA5-AE59FC65F82D}"; Components: filters\matroska\haali; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Media Type\Extensions\.mka"; ValueName: "Source Filter"; ValueType: String; ValueData: "{{55DA30FC-F16B-49FC-BAA5-AE59FC65F82D}"; Components: filters\matroska\haali; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Media Type\Extensions\.mks"; ValueName: "Source Filter"; ValueType: String; ValueData: "{{55DA30FC-F16B-49FC-BAA5-AE59FC65F82D}"; Components: filters\matroska\haali; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Media Type\Extensions\.mkv"; ValueName: "Source Filter"; ValueType: String; ValueData: "{{0A68C3B5-9164-4A54-AFAF-995B2FF0E0D4}"; Components: filters\matroska\gabest; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Media Type\Extensions\.mka"; ValueName: "Source Filter"; ValueType: String; ValueData: "{{0A68C3B5-9164-4A54-AFAF-995B2FF0E0D4}"; Components: filters\matroska\gabest; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\MediaPlayer\Player\Extensions\Types"; ValueName: "819"; ValueType: String; ValueData: "*.mkv;*.mka"; Components: filters\matroska\haali filters\matroska\gabest; 
Root: HKCR; Subkey: "CLSID\{{F07E245F-5A1F-4D1E-8BFF-DC31D84A55AB}\Defaults"; ValueName: "ShowTrayIcon"; ValueType: Dword; ValueData: "$1"; Components: filters\ogg\oggds; 
Root: HKCR; Subkey: "CLSID\{{F07E245F-5A1F-4D1E-8BFF-DC31D84A55AB}\Defaults"; ValueName: "AlwaysEnableAllStreams"; ValueType: Dword; ValueData: "$0"; Components: filters\ogg\oggds; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\CoreVorbis"; Components: audio\vorbis; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\PRR"; Components: compat\divxaf; Flags: deletekey 
Root: HKCU; Subkey: "Software\Ligos"; Components: video\mpeg2\dec\lg video\mpeg2\splt\lg video\indeo\5; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Ligos\Indeo"; Components: video\indeo\5; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\Ligos\LSX-MPEG Player"; Components: video\mpeg2\dec\lg video\mpeg2\splt\lg; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Ligos\LSX-MPEG Player"; ValueName: "MPEG2Only"; ValueType: Dword; ValueData: "$0"; Components: video\mpeg2\dec\lg; 
Root: HKCU; Subkey: "Software\Ligos\LSX-MPEG Player"; ValueName: "LIGOSSplitterOnly"; ValueType: Dword; ValueData: "$0"; Components: video\mpeg2\dec\lg; 
Root: HKLM; Subkey: "Software\Ligos"; Components: video\mpeg2\dec\lg video\mpeg2\splt\lg; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\Ligos\LSX-MPEG Player"; Components: video\mpeg2\dec\lg video\mpeg2\splt\lg; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Ligos\LSX-MPEG Player"; ValueName: "MPEG2Only"; ValueType: Dword; ValueData: "$0"; Components: video\mpeg2\dec\lg; 
Root: HKLM; Subkey: "Software\Ligos\LSX-MPEG Player"; ValueName: "LIGOSSplitterOnly"; ValueType: Dword; ValueData: "$0"; Components: video\mpeg2\dec\lg; 
Root: HKCU; Subkey: "Software\Intel"; Components: video\i263 video\indeo\4 video\indeo\5; Flags: uninsdeletekeyifempty dontcreatekey 
Root: HKCU; Subkey: "Software\Intel\I.263"; Components: video\i263; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\Intel\Indeo"; Components: video\indeo\4 video\indeo\5; Flags: uninsdeletekeyifempty dontcreatekey 
Root: HKCU; Subkey: "Software\Intel\Indeo\4.1"; Components: video\indeo\4; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\Intel\Indeo\5.0"; Components: video\indeo\5; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\Policies\LD4Code"; Flags: deletekey 
Root: HKCU; Subkey: "Software\elecard"; Components: video\mpeg2\splt\ec; Flags: uninsdeletekeyifempty dontcreatekey 
Root: HKCU; Subkey: "Software\elecard\MPEG2 Demultiplexer"; Components: video\mpeg2\splt\ec; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\Mainconcept"; Components: video\mpeg2\dec\mc video\mpeg2\splt\mc; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\Microsoft\MediaPlayer\Player\Settings"; ValueName: "EnableDVDUI"; ValueType: String; ValueData: "yes"; Components: video\dvd; 
Root: HKLM; Subkey: "Software\Cyberlink\PowerDVD\BuildInfo"; ValueName: "Filter(DShow)"; ValueType: String; ValueData: "1402"; Components: video\dvd; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp"; Components: tools\gspot; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "AllowOpenWith"; ValueType: Dword; ValueData: "$0"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "AppBuild"; ValueType: Dword; ValueData: "$4091500"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "AppVersion"; ValueType: Dword; ValueData: "$25201"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExpertMode"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportEnabled"; ValueType: Dword; ValueData: "$0"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportFormatSrc"; ValueType: Dword; ValueData: "$2"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportMode"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportNameOfFileForFormat"; ValueType: String; ValueData: "{app}\gspot\ExportFormat.txt"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportFile"; ValueType: String; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportOverwriteOk"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportPath"; ValueType: String; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportUseFileForFormat"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "FileMaskIndex"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "LastMediaFile"; ValueType: String; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "LicenseDisplayed"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "PreloadCodecInfo"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "SaveWindowSize"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "StaticLogo"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "UseCodecInfo"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; Components: ffdshow\newconfig; Flags: deletekey 
Root: HKCU; Subkey: "Software\GNU\ffdshow_audio"; Components: ffdshow\newconfig; Flags: deletekey 
Root: HKCU; Subkey: "Software\GNU\ffdshow_enc"; Components: ffdshow\newconfig; Flags: deletekey 
Root: HKCU; Subkey: "Software\GNU\ffdshow_vfw"; Components: ffdshow\newconfig; Flags: deletekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; Components: ffdshow\newconfig; Flags: deletekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; Components: ffdshow\newconfig; Flags: deletekey 
Root: HKCU; Subkey: "Software\GNU"; Components: ffdshow; Flags: uninsdeletekeyifempty dontcreatekey 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; Components: ffdshow; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\GNU\ffdshow_audio"; Components: ffdshow; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\GNU\ffdshow_enc"; Components: ffdshow; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\GNU\ffdshow_vfw"; Components: ffdshow; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\GNU"; Components: ffdshow; Flags: uninsdeletekeyifempty dontcreatekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; Components: ffdshow; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; Components: ffdshow; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow_enc"; Components: ffdshow; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; Components: ffdshow; Flags: uninsdeletekey dontcreatekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "pth"; ValueType: String; ValueData: "{app}\ffdshow"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "lang"; ValueType: String; ValueData: "1033"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "allowOutChange"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "hwOverlay"; ValueType: Dword; ValueData: "$2"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "isnoise"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "ispostproc"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "ispostproc"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: NOT ff\filter\postproc; 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "ispostproc"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\filter\postproc; 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "issubtitles"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "outYV12"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "outChangeCompatOnly"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "subIsExpand"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow\default"; ValueName: "xsharpen"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow_audio\default"; ValueName: "iseq"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow_audio\default"; ValueName: "ismixer"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow_audio\default"; ValueName: "isfreeverb"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow_audio\default"; ValueName: "isvolume"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow_audio\default"; ValueName: "isvolume"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: NOT ff\filter\normalize; 
Root: HKCU; Subkey: "Software\GNU\ffdshow_audio\default"; ValueName: "isvolume"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\filter\normalize; 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "OSDcurPreset"; ValueType: String; ValueData: "default"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "OSDpresetFormat0"; ValueType: String; ValueData: "14 1543 33 31 1524 1539 1529"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "OSDpresetName0"; ValueType: String; ValueData: "default"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GNU\ffdshow"; ValueName: "OSDpresetsCount"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "allowOutChange"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "hwOverlay"; ValueType: Dword; ValueData: "$2"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "isnoise"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "ispostproc"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "ispostproc"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\filter\postproc; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "issubtitles"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "outYV12"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "outChangeCompatOnly"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "subIsExpand"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "xsharpen"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "iseq"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "ismixer"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "isfreeverb"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "isvolume"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "isvolume"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: NOT ff\filter\normalize; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "OSDcurPreset"; ValueType: String; ValueData: "default"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "OSDpresetFormat0"; ValueType: String; ValueData: "14 1543 33 31 1524 1539 1529"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "OSDpresetName0"; ValueType: String; ValueData: "default"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "OSDpresetsCount"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "_3iv"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "8bps"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "asv1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "cram"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "cvid"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "cyuv"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "div3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "divx"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "duck"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dv"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dvsd"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dx50"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "ffv1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "flv1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "fvfw"; ValueType: Dword; ValueData: "$1"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "h261"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "h263"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "h264"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "hfyu"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "iv32"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "loco"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mjpg"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp41"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp42"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp43"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mpegAVI"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mpg1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mpg2"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mszh"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "png1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "qpeg"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "qtrle"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "rawv"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "rle"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "rv10"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "svq1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "svq3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "theo"; ValueType: Dword; ValueData: "$3"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "tscc"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "vcr1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "vp3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "wmv1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "wmv2"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "wmv3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "wnv1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "xvid"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "zlib"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "_3iv"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\mpeg4; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "8bps"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "asv1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\capture; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "cram"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "cvid"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "cyuv"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "div3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\divx; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "duck"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dv"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\capture; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dvsd"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\capture; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dx50"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\divx; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "flv1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "h261"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "h263"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "h264"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\h264; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "loco"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mjpg"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp41"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp42"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp43"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mpg2"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\mpeg2; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mszh"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "png1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "qpeg"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "rle"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "theo"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "tscc"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "vcr1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\capture; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "vp3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "wnv1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "xvid"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\xvid; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "zlib"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "_3iv"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\mpeg4; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "8bps"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "asv1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\capture; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "cram"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "cvid"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "cyuv"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "div3"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\divx; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "duck"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dv"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\capture; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dvsd"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\capture; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dx50"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\divx; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "flv1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "h261"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "h263"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "h264"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\h264; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "loco"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mjpg"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp41"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp42"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp43"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mpg2"; ValueType: Dword; ValueData: "$5"; Components: ffdshow\newconfig; Tasks: ff\video\mpeg2; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mszh"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "png1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "qpeg"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "rle"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "theo"; ValueType: Dword; ValueData: "$3"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "tscc"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "vcr1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\capture; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "vp3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig AND video\vp3; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "vp3"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig AND NOT video\vp3; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "wnv1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "xvid"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\xvid; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "zlib"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\video\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "aac"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "ac3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "amr"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "dts"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "flac"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "gsm"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "iadpcm"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "law"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "lpcm"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "mp2"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "mp3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "msadpcm"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "rawa"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "tta"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\keepconfig; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "vorbis"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "wma1"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "wma2"; ValueType: Dword; ValueData: "$0"; Components: ffdshow; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "aac"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\aac; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "ac3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\ac3; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "amr"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "dts"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\dts; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "flac"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "iadpcm"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "law"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "mp2"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\mp2; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "mp3"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\mp3; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "msadpcm"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "tta"; ValueType: Dword; ValueData: "$0"; Components: ffdshow\newconfig; Tasks: not ff\audio\tta; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "aac"; ValueType: Dword; ValueData: "$13"; Components: ffdshow\newconfig; Tasks: ff\audio\aac; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "ac3"; ValueType: Dword; ValueData: "$F"; Components: ffdshow\newconfig; Tasks: ff\audio\ac3; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "amr"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "dts"; ValueType: Dword; ValueData: "$11"; Components: ffdshow\newconfig; Tasks: ff\audio\dts; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "flac"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "iadpcm"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "law"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "mp2"; ValueType: Dword; ValueData: "$7"; Components: ffdshow\newconfig; Tasks: ff\audio\mp2; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "mp3"; ValueType: Dword; ValueData: "$6"; Components: ffdshow\newconfig; Tasks: ff\audio\mp3; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "msadpcm"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\audio\other; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_audio"; ValueName: "tta"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\newconfig; Tasks: ff\audio\tta; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "_3iv"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; Tasks: ff\video\mpeg4; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "asv1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; Tasks: ff\video\capture; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "div3"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw AND NOT video\divx\enc; Tasks: ff\video\divx; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "divx"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw AND NOT video\divx\enc; Tasks: ff\video\divx; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "dv"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; Tasks: ff\video\capture; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "dvsd"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; Tasks: ff\video\capture; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "dx50"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw AND NOT video\divx\enc; Tasks: ff\video\divx; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "ffv1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "fvfw"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "h261"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; Tasks: ff\video\other; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "h263"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; Tasks: ff\video\other; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "h264"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; Tasks: ff\video\h264; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "mp41"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw AND NOT video\msmpeg4; Tasks: ff\video\mpeg4; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "mp42"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw AND NOT video\msmpeg4; Tasks: ff\video\mpeg4; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "mp43"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw AND NOT video\msmpeg4; Tasks: ff\video\mpeg4; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "theo"; ValueType: Dword; ValueData: "$3"; Components: ffdshow\vfw; Tasks: ff\video\other; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "vcr1"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw; Tasks: ff\video\capture; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\GNU\ffdshow_vfw"; ValueName: "xvid"; ValueType: Dword; ValueData: "$1"; Components: ffdshow\vfw AND NOT video\xvid\enc; Tasks: ff\video\xvid; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.avi"; ValueName: "Application"; Tasks: fa_mpc\avi; Flags: deletevalue 
Root: HKCR; Subkey: ".avi"; ValueType: String; ValueData: "avifile"; Tasks: fa_mpc\avi; 
Root: HKCR; Subkey: ".avi\Shell"; Tasks: fa_mpc\avi; Flags: deletekey 
Root: HKCR; Subkey: "avifile\DefaultIcon"; ValueType: String; ValueData: "{app}\icons\divx.ico"; Tasks: fa_mpc\avi; Flags: uninsdeletekey 
Root: HKCR; Subkey: "avifile\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\avi; Flags: uninsdeletekey 
Root: HKCR; Subkey: "avifile\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\avi; 
Root: HKCR; Subkey: "avifile\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\avi; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mpg"; ValueName: "Application"; Tasks: fa_mpc\mpeg; Flags: deletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mpeg"; ValueName: "Application"; Tasks: fa_mpc\mpeg; Flags: deletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mpe"; ValueName: "Application"; Tasks: fa_mpc\mpeg; Flags: deletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.m2v"; ValueName: "Application"; Tasks: fa_mpc\mpeg; Flags: deletevalue 
Root: HKCR; Subkey: ".mpg"; ValueType: String; ValueData: "MPEG File"; Tasks: fa_mpc\mpeg; 
Root: HKCR; Subkey: ".mpg\Shell"; Tasks: fa_mpc\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpg\DefaultIcon"; Tasks: fa_mpc\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpeg"; ValueType: String; ValueData: "MPEG File"; Tasks: fa_mpc\mpeg; 
Root: HKCR; Subkey: ".mpeg\Shell"; Tasks: fa_mpc\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpeg\DefaultIcon"; Tasks: fa_mpc\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpe"; ValueType: String; ValueData: "MPEG File"; Tasks: fa_mpc\mpeg; 
Root: HKCR; Subkey: ".mpe\Shell"; Tasks: fa_mpc\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpe\DefaultIcon"; Tasks: fa_mpc\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".m2v"; ValueType: String; ValueData: "MPEG File"; Tasks: fa_mpc\mpeg; 
Root: HKCR; Subkey: ".m2v\Shell"; Tasks: fa_mpc\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".m2v\DefaultIcon"; Tasks: fa_mpc\mpeg; Flags: deletekey 
Root: HKCR; Subkey: "MPEG File\DefaultIcon"; ValueType: String; ValueData: "{app}\icons\codecs.ico"; Tasks: fa_mpc\mpeg; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MPEG File\Shell"; Tasks: fa_mpc\mpeg; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MPEG File\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\mpeg; 
Root: HKCR; Subkey: "MPEG File\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\mpeg; 
Root: HKCR; Subkey: "MPEG File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\mpeg; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.wmv"; ValueName: "Application"; Tasks: fa_mpc\wmv; Flags: deletevalue 
Root: HKCR; Subkey: ".wmv"; ValueType: String; ValueData: "Windows Media Video"; Tasks: fa_mpc\wmv; 
Root: HKCR; Subkey: ".wmv\Shell"; Tasks: fa_mpc\wmv; Flags: deletekey 
Root: HKCR; Subkey: ".wmv\DefaultIcon"; Tasks: fa_mpc\wmv; Flags: deletekey 
Root: HKCR; Subkey: "Windows Media Video\DefaultIcon"; ValueType: String; ValueData: "{app}\icons\codecs.ico"; Tasks: fa_mpc\wmv; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Windows Media Video\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\wmv; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Windows Media Video\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\wmv; 
Root: HKCR; Subkey: "Windows Media Video\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\wmv; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.ogm"; ValueName: "Application"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: deletevalue 
Root: HKLM; Subkey: "Software\Microsoft\Multimedia\WMPlayer\Extensions\.ogm"; ValueName: "Permissions"; ValueType: Dword; ValueData: "$F"; Tasks: fa_wmp\ogm; 
Root: HKLM; Subkey: "Software\Microsoft\Multimedia\WMPlayer\Extensions\.ogm"; ValueName: "Runtime"; ValueType: Dword; ValueData: "$7"; Tasks: fa_wmp\ogm; 
Root: HKCR; Subkey: ".ogm"; ValueType: String; ValueData: "ogmfile"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".ogm\Shell"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: deletekey 
Root: HKCR; Subkey: ".ogm\DefaultIcon"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: deletekey 
Root: HKCR; Subkey: "ogmfile\DefaultIcon"; ValueType: String; ValueData: "{app}\icons\codecs.ico"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: "ogmfile\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: "ogmfile\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\ogm fa_wmp\ogm; 
Root: HKCR; Subkey: "ogmfile\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\ogm; 
Root: HKCR; Subkey: "ogmfile\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\ogm; 
Root: HKCR; Subkey: "Ogg File (*.ogg)\DefaultIcon"; ValueType: String; ValueData: "{app}\icons\codecs.ico"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Ogg File (*.ogg)\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Ogg File (*.ogg)\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\ogm fa_wmp\ogm; 
Root: HKCR; Subkey: "Ogg File (*.ogg)\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\ogm; 
Root: HKCR; Subkey: "Ogg File (*.ogg)\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\ogm; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mkv"; ValueName: "Application"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: deletevalue 
Root: HKLM; Subkey: "Software\Microsoft\Multimedia\WMPlayer\Extensions\.mkv"; ValueName: "Permissions"; ValueType: Dword; ValueData: "$F"; Tasks: fa_wmp\mkv; 
Root: HKLM; Subkey: "Software\Microsoft\Multimedia\WMPlayer\Extensions\.mkv"; ValueName: "Runtime"; ValueType: Dword; ValueData: "$7"; Tasks: fa_wmp\mkv; 
Root: HKCR; Subkey: ".mkv"; ValueType: String; ValueData: "Matroska File"; Tasks: fa_mpc\mkv fa_wmp\mkv; 
Root: HKCR; Subkey: ".mkv\Shell"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: deletekey 
Root: HKCR; Subkey: ".mkv\DefaultIcon"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: deletekey 
Root: HKCR; Subkey: "Matroska File\DefaultIcon"; ValueType: String; ValueData: "{app}\icons\codecs.ico"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Matroska File\Shell"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Matroska File\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\mkv fa_wmp\mkv; 
Root: HKCR; Subkey: "Matroska File\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\mkv fa_wmp\mkv; 
Root: HKCR; Subkey: "Matroska File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\mkv; 
Root: HKCR; Subkey: "Matroska File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\mkv; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mp4"; ValueName: "Application"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: deletevalue 
Root: HKLM; Subkey: "Software\Microsoft\Multimedia\WMPlayer\Extensions\.mp4"; ValueName: "Permissions"; ValueType: Dword; ValueData: "$F"; Tasks: fa_wmp\mp4; 
Root: HKLM; Subkey: "Software\Microsoft\Multimedia\WMPlayer\Extensions\.mp4"; ValueName: "Runtime"; ValueType: Dword; ValueData: "$7"; Tasks: fa_wmp\mp4; 
Root: HKCR; Subkey: ".mp4"; ValueType: String; ValueData: "MPEG-4 File"; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: ".mp4\DefaultIcon"; ValueType: String; ValueData: "{app}\icons\codecs.ico"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".mp4\Shell"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".mp4\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: ".mp4\Shell\Open"; ValueType: String; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: ".mp4\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\mp4; 
Root: HKCR; Subkey: ".mp4\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\mp4; 
Root: HKCR; Subkey: "MPEG-4 File\DefaultIcon"; ValueType: String; ValueData: "{app}\icons\codecs.ico"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MPEG-4 File\Shell"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MPEG-4 File\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: "MPEG-4 File\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: "MPEG-4 File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\mp4; 
Root: HKCR; Subkey: "MPEG-4 File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\mp4; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\EventHandlers\PlayDVDMovieOnArrival"; ValueName: "MPCPlayDVDMovieOnArrival"; ValueType: String; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayDVDMovieOnArrival"; Components: player\mpclassic; MinVersion: 0.0,5.01; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayDVDMovieOnArrival"; ValueName: "Action"; ValueType: String; ValueData: "Play DVD movie"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayDVDMovieOnArrival"; ValueName: "DefaultIcon"; ValueType: String; ValueData: """{app}\Media Player Classic\mplayerc.exe"",3"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayDVDMovieOnArrival"; ValueName: "InvokeProgID"; ValueType: String; ValueData: "MPC.DVDMovie"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayDVDMovieOnArrival"; ValueName: "InvokeVerb"; ValueType: String; ValueData: "play"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayDVDMovieOnArrival"; ValueName: "Provider"; ValueType: String; ValueData: "Media Player Classic"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\EventHandlers\PlayCDAudioOnArrival"; ValueName: "MPCPlayCDAudioOnArrival"; ValueType: String; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayCDAudioOnArrival"; Components: player\mpclassic; MinVersion: 0.0,5.01; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayCDAudioOnArrival"; ValueName: "Action"; ValueType: String; ValueData: "Play CD audio"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayCDAudioOnArrival"; ValueName: "DefaultIcon"; ValueType: String; ValueData: """{app}\Media Player Classic\mplayerc.exe"",4"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayCDAudioOnArrival"; ValueName: "InvokeProgID"; ValueType: String; ValueData: "MPC.CDAudio"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayCDAudioOnArrival"; ValueName: "InvokeVerb"; ValueType: String; ValueData: "play"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MPCPlayCDAudioOnArrival"; ValueName: "Provider"; ValueType: String; ValueData: "Media Player Classi"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKCR; Subkey: "MPC.DVDMovie"; Components: player\mpclassic; MinVersion: 0.0,5.01; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: "MPC.DVDMovie"; ValueType: String; ValueData: "DVD Movie"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKCR; Subkey: "MPC.DVDMovie\shell"; ValueType: String; ValueData: "play"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKCR; Subkey: "MPC.DVDMovie\shell\play\command"; ValueType: String; ValueData: """{app}\Media Player Classic\mplayerc.exe"" %L /dvd"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKCR; Subkey: "MPC.DVDMovie\DefaultIcon"; ValueType: String; ValueData: """{app}\Media Player Classic\mplayerc.exe"",3"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKCR; Subkey: "MPC.CDAudio"; Components: player\mpclassic; MinVersion: 0.0,5.01; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: "MPC.CDAudio"; ValueType: String; ValueData: "CD Audio"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKCR; Subkey: "MPC.CDAudio\shell"; ValueType: String; ValueData: "play"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKCR; Subkey: "MPC.CDAudio\shell\play\command"; ValueType: String; ValueData: """{app}\Media Player Classic\mplayerc.exe"" %L /cd"; Components: player\mpclassic; MinVersion: 0.0,5.01; 
Root: HKCR; Subkey: "MPC.CDAudio\DefaultIcon"; ValueType: String; ValueData: """{app}\Media Player Classic\mplayerc.exe"",4"; Components: player\mpclassic; MinVersion: 0.0,5.01; 

[INI]
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.DIV3"; String: "DivXc32.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.DIV4"; String: "DivXc32f.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.DIVX"; String: "divx.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.XVID"; String: "xvidvfw.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "msacm.lameacm"; String: "lameACM.acm"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.3iv2"; String: "3ivxVfWCodec.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.HFYU"; String: "huffyuv.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.IV50"; String: "Ir50_32.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "msacm.divxa32"; String: "divxa32.acm"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.wmv3"; String: "wmv9vcm.dll"; 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.IV32"; String: "Ir32_32.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.IV41"; String: "Ir41_32.ax"; 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.IV40"; String: "Ir41_32.ax"; 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.VP60"; String: "vp6vfw.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.VP61"; String: "vp6vfw.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.VP62"; String: "vp6vfw.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.VP70"; String: "vp7vfw.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.VP31"; String: "vp31vfw.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.MPG4"; String: "MPG4c32.dll"; 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.MP42"; String: "MPG4c32.dll"; 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.MP43"; String: "MPG4c32.dll"; 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "msacm.ac3acm"; String: "ac3acm.acm"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.i263"; String: "i263_32.drv"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "msacm.imc"; String: "imc32.acm"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "vidc.ffds"; String: "ff_vfw.dll"; Flags: uninsdeleteentry 
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "msacm.avis"; String: "ff_acm.acm"; Flags: uninsdeleteentry 
FileName: "{app}\Media Player Classic\mplayerc.ini"; Section: "Settings"; Key: "AutoloadSubtitles"; String: "0"; 
FileName: "{app}\Media Player Classic\mplayerc.ini"; Section: "Internal Filters"; Key: "SrcFilters"; String: "-263681"; Flags: createkeyifdoesntexist 
FileName: "{app}\Media Player Classic\mplayerc.ini"; Section: "Internal Filters"; Key: "TraFilters"; String: "-322"; Flags: createkeyifdoesntexist 

[Run]
Filename: "{sys}\regsvr32.exe"; Parameters: "/s quartz.dll"; Components: compat\dshow; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/s qcap.dll"; Components: compat\dshow; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s mpg4ds32.ax"; Components: video\3ivx\dec; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s divx_c32.ax"; Components: video\divx\dec; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s oggds.dll"; Components: filters\ogg\gabest; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s oggsplitter.ax"; Components: filters\ogg\oggds; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s lmpgspl.ax"; Components: video\mpeg2\splt\mc video\mpeg2\splt\ec; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s mpeg2dmx.ax"; Components: video\mpeg2\splt\mc video\mpeg2\splt\lg; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s mcspmpeg.ax"; Components: video\mpeg2\splt\ec video\mpeg2\splt\lg; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s mcdsmpeg.ax"; Components: video\mpeg2\dec\cl video\mpeg2\dec\lg; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s lmpgad.ax"; Components: video\mpeg2\dec\cl video\mpeg2\dec\mc; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s lmpgvd.ax"; Components: video\mpeg2\dec\cl video\mpeg2\dec\mc; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s CLVSD.ax"; Components: ((video\mpeg2\dec\lg OR video\mpeg2\dec\mc) AND NOT video\dvd); Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s mpgdec.ax"; Components: video\mpeg2\dec\cl video\mpeg2\dec\mc video\mpeg2\dec\lg; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s mpgaudio.ax"; Components: video\mpeg2\dec\cl video\mpeg2\dec\mc video\mpeg2\dec\lg; Flags: skipifdoesntexist 
Filename: "{tmp}\vidccleaner.exe"; Parameters: "-a"; Flags: skipifdoesntexist 

[UninstallRun]
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s divxdec.ax"; Components: video\divx\dec; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s 3ivxDSDecoder.ax"; Components: video\3ivx\dec video\3ivx\enc; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s 3ivxDSMediaSplitter.ax"; Components: video\3ivx\dec video\3ivx\enc; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s 3ivxDSMediaMux.ax"; Components: video\3ivx\enc; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s 3ivxDSEncoder.ax"; Components: video\3ivx\enc; Flags: skipifdoesntexist 

[Icons]
Name: "{group}\Media Player Classic"; Filename: "{app}\Media Player Classic\mplayerc.exe"; WorkingDir: "{app}\Media Player Classic\"; Components: player\mpclassic; 
Name: "{commondesktop}\Media Player Classic"; Filename: "{app}\Media Player Classic\mplayerc.exe"; WorkingDir: "{app}\Media Player Classic\"; Components: player\mpclassic; Tasks: icons\mpcdesktop; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Media Player Classic"; Filename: "{app}\Media Player Classic\mplayerc.exe"; WorkingDir: "{app}\Media Player Classic\"; Components: player\mpclassic; Tasks: icons\mpcquicklaunch; 
Name: "{group}\Configuration\3ivx"; Filename: "{app}\tools\3ivxConfig.exe"; WorkingDir: "{app}\tools"; Components: video\3ivx\dec video\3ivx\enc audio\3ivx\dec audio\3ivx\enc; 
Name: "{group}\Configuration\AC3"; Filename: "{sys}\rundll32.exe"; Parameters: "ac3filter.ax,config"; IconFilename: "{sys}\ac3filter.ax"; Components: audio\ac3\070b audio\ac3\101a; 
Name: "{group}\Configuration\Codec Tweak Tool"; Filename: "{app}\tools\fixcodecs.exe"; WorkingDir: "{app}\tools"; 
Name: "{group}\Configuration\DirectVobSub"; Filename: "{sys}\rundll32.exe"; Parameters: "vsfilter.dll,DirectVobSub"; IconFilename: "{app}\icons\config.ico"; Components: filters\vsfilter; 
Name: "{group}\Configuration\DivX"; Filename: "{sys}\rundll32.exe"; Parameters: "divxdec.ax,Config"; IconFilename: "{app}\icons\divx.ico"; Components: video\divx\dec; 
Name: "{group}\Configuration\ffdshow\Audio decoder configuration"; Filename: "{sys}\rundll32.exe"; Parameters: """{app}\ffdshow\ffdshow.ax"",configureAudio"; IconFilename: "{app}\icons\config.ico"; Components: ffdshow; 
Name: "{group}\Configuration\ffdshow\Video decoder configuration"; Filename: "{sys}\rundll32.exe"; Parameters: """{app}\ffdshow\ffdshow.ax"",configure"; IconFilename: "{app}\icons\config.ico"; Components: ffdshow; 
Name: "{group}\Configuration\ffdshow\VFW configuration"; Filename: "{sys}\rundll32.exe"; Parameters: "ff_vfw.dll,configureVFW"; IconFilename: "{app}\icons\config.ico"; Components: ffdshow\vfw; 
Name: "{group}\Configuration\Ligos MPEG-2"; Filename: "{app}\tools\LSMpgCfg.exe"; WorkingDir: "{app}\tools"; Components: video\mpeg2\dec\lg; 
Name: "{group}\Configuration\MatrixMixer"; Filename: "{sys}\rundll32.exe"; Parameters: "matrix_mixer.ax,config"; IconFilename: "{app}\icons\config.ico"; Components: filters\matrixmixer; 
Name: "{group}\Configuration\MP4 splitter"; Filename: "{sys}\rundll32.exe"; Parameters: """{app}\haali\splitter.ax"",Configure"; IconFilename: "{app}\haali\splitter.ax"; Components: filters\mp4; 
Name: "{group}\Configuration\Matroska splitter"; Filename: "{sys}\rundll32.exe"; Parameters: """{app}\haali\splitter.ax"",Configure"; IconFilename: "{app}\haali\splitter.ax"; Components: filters\matroska\haali; 
Name: "{group}\Configuration\XviD decoding"; Filename: "{sys}\rundll32.exe"; Parameters: "xvid.ax,Configure"; IconFilename: "{app}\icons\xvid.ico"; Components: video\xvid\dec; 
Name: "{group}\Configuration\XviD encoding"; Filename: "{sys}\rundll32.exe"; Parameters: "xvidvfw.dll,Configure"; IconFilename: "{app}\icons\xvid.ico"; Components: video\xvid\enc; 
Name: "{group}\Tools\AVI Fixed"; Filename: "{app}\tools\avifixed.exe"; WorkingDir: "{app}\tools"; Components: tools\avifixed; 
Name: "{group}\Tools\Bitrate Calculator"; Filename: "{app}\tools\minicalc.exe"; WorkingDir: "{app}\tools"; Components: tools\minicalc; 
Name: "{group}\Tools\FourCC Code Changer"; Filename: "{app}\tools\fourcc.exe"; WorkingDir: "{app}\tools"; Components: tools\fourcc; 
Name: "{group}\Tools\GraphEdit"; Filename: "{app}\tools\graphedit.exe"; WorkingDir: "{app}\tools"; Components: tools\graphedit; 
Name: "{group}\Tools\GSpot Codec Information"; Filename: "{app}\gspot\gspot.exe"; WorkingDir: "{app}\gspot"; Components: tools\gspot; 
Name: "{group}\Tools\Sherlock"; Filename: "{app}\tools\sherlock.exe"; WorkingDir: "{app}\tools"; Components: tools\sherlock; 
Name: "{group}\Tools\VobSubStrip"; Filename: "{app}\tools\VobSubStrip.exe"; WorkingDir: "{app}\tools"; Components: tools\vobsubstrip; 
Name: "{group}\Tools\XviD StatsReader"; Filename: "{app}\tools\statsreader.exe"; WorkingDir: "{app}\tools"; Components: video\xvid\enc; 
Name: "{group}\Help\Media Player Classic"; Filename: "{app}\Media Player Classic\mpc_en.chm"; WorkingDir: "{app}\Media Player Classic"; Components: player\mpclassic; 
Name: "{group}\Help\GraphEdit"; Filename: "{app}\tools\graphedit.chm"; WorkingDir: "{app}\tools"; Components: tools\graphedit; 
Name: "{group}\Help\FAQ"; Filename: "{app}\info\faq.htm"; WorkingDir: "{app}\info"; 
Name: "{group}\Information\About"; Filename: "{app}\info\readme.rtf"; 
Name: "{group}\Uninstall K-Lite Codec Pack"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "icons"; Description: "Additional icons:"; Components: "player\mpclassic"; 
Name: "icons\mpcdesktop"; Description: "Create desktop icon for Media Player Classic"; Components: "player\mpclassic"; 
Name: "icons\mpcquicklaunch"; Description: "Create QuickLaunch icon for Media Player Classic"; Components: "player\mpclassic"; 
Name: "fa_mpc"; Description: "Make Media Player Classic the default player for:"; Components: "player\mpclassic"; 
Name: "fa_mpc\avi"; Description: ".avi"; Components: "player\mpclassic"; 
Name: "fa_mpc\mpeg"; Description: "MPEG"; Components: "player\mpclassic"; 
Name: "fa_mpc\wmv"; Description: "Windows Media (.wmv)"; Components: "player\mpclassic"; 
Name: "fa_mpc\ogm"; Description: "Ogg (.ogm)"; Components: "player\mpclassic"; 
Name: "fa_mpc\mkv"; Description: "Matroska (.mkv)"; Components: "player\mpclassic"; 
Name: "fa_mpc\mp4"; Description: ".mp4"; Components: "player\mpclassic AND (filters\mp4 OR video\3ivx\dec)"; 
Name: "fa_wmp"; Description: "Make Windows Media Player the default player for:"; Components: "NOT player\mpclassic AND (filters\ogg OR filters\matroska OR filters\mp4 OR video\3ivx\dec)"; Check: "foundWMP()"; 
Name: "fa_wmp\ogm"; Description: "Ogg (.ogm)"; Components: "NOT player\mpclassic AND filters\ogg"; Check: "foundWMP()"; 
Name: "fa_wmp\mkv"; Description: "Matroska (.mkv)"; Components: "NOT player\mpclassic AND filters\matroska"; Check: "foundWMP()"; 
Name: "fa_wmp\mp4"; Description: ".mp4"; Components: "NOT player\mpclassic AND (filters\mp4 OR video\3ivx\dec)"; Check: "foundWMP()"; 
Name: "ff"; Description: "ffdshow configuration:"; Components: "ffdshow\newconfig"; 
Name: "ff\video"; Description: "Decode the following video formats with ffdshow:"; Components: "ffdshow\newconfig"; 
Name: "ff\video\other"; Description: "Some video formats for which KLCP doesn't have codecs/filters"; Components: "ffdshow\newconfig"; 
Name: "ff\video\divx"; Description: "DivX"; Components: "ffdshow\newconfig AND NOT video\divx\dec"; 
Name: "ff\video\xvid"; Description: "XviD"; Components: "ffdshow\newconfig AND NOT video\xvid\dec"; 
Name: "ff\video\mpeg4"; Description: "Generic MPEG-4 (excluding DivX and XviD)"; Components: "ffdshow\newconfig AND video\3ivx\dec"; 
Name: "ff\video\mpeg4"; Description: "Generic MPEG-4 (excluding DivX and XviD)"; Components: "ffdshow\newconfig AND NOT video\3ivx\dec"; 
Name: "ff\video\h264"; Description: "H.264"; Components: "ffdshow\newconfig"; 
Name: "ff\video\mpeg2"; Description: "MPEG-2"; Components: "ffdshow\newconfig AND NOT video\mpeg2\dec"; 
Name: "ff\video\capture"; Description: "asv1/2, vcr1, dv"; Components: "ffdshow\newconfig"; 
Name: "ff\audio"; Description: "Decode the following audio formats with ffdshow:"; Components: "ffdshow\newconfig"; 
Name: "ff\audio\other"; Description: "Some audio formats for which KLMCP doesn't have codecs/filters"; Components: "ffdshow\newconfig"; 
Name: "ff\audio\aac"; Description: "AAC"; Components: "ffdshow\newconfig AND NOT (audio\3ivx\dec OR audio\aac)"; 
Name: "ff\audio\ac3"; Description: "AC3"; Components: "ffdshow\newconfig AND NOT (audio\ac3\070b OR audio\ac3\101a)"; 
Name: "ff\audio\dts"; Description: "DTS"; Components: "ffdshow\newconfig AND NOT audio\ac3\101a"; 
Name: "ff\audio\mp2"; Description: "MP1, MP2"; Components: "ffdshow\newconfig"; 
Name: "ff\audio\mp3"; Description: "MP3"; Components: "ffdshow\newconfig AND NOT audio\mp3"; 
Name: "ff\audio\tta"; Description: "True Audio"; Components: "ffdshow\newconfig"; 
Name: "ff\filter"; Description: "Filters:"; Components: "ffdshow\newconfig"; 
Name: "ff\filter\postproc"; Description: "Enable postprocessing by default"; Components: "ffdshow\newconfig"; 
Name: "ff\filter\normalize"; Description: "Enable volume normalization by default"; Components: "ffdshow\newconfig"; 
Name: "checknews"; Description: "Check for codec news and updates"; Check: "cn"; 

[Components]
Name: "player"; Description: "Player"; 
Name: "player\mpclassic"; Description: "Media Player Classic [version 6.4.8.4]"; Types: "normal playback profile4 profile7 profile8"; 
Name: "video"; Description: "Video"; 
Name: "video\divx"; Description: "DivX Pro [version 5.2.1]"; Check: "NOT hideDivX"; 
Name: "video\divx2"; Description: "DivX Pro [version 5.2.1]"; Check: "hideDivX"; 
Name: "video\divx\dec"; Description: "Decoding"; Types: "normal playback profile4 profile7"; Check: "NOT hideDivX"; 
Name: "video\divx2\dec"; Description: "Decoding"; Check: "hideDivX"; 
Name: "video\divx\enc"; Description: "Encoding"; Types: "normal profile7"; Check: "NOT hideDivX"; 
Name: "video\divx2\enc"; Description: "Encoding"; Check: "hideDivX"; 
Name: "video\xvid"; Description: "XviD [version 1.0.3]"; 
Name: "video\xvid\dec"; Description: "Decoding"; Types: "normal playback profile4 profile7"; 
Name: "video\xvid\enc"; Description: "Encoding"; Types: "normal profile7"; 
Name: "video\3ivx"; Description: "3ivX Pro [version D4 4.5.1]"; 
Name: "video\3ivx\dec"; Description: "Decoding"; Types: "normal playback profile4 profile7"; 
Name: "video\3ivx\enc"; Description: "Encoding"; Types: "normal profile7"; 
Name: "video\wmv9vcm"; Description: "Windows Media 9 VCM"; Types: "normal playback profile7"; 
Name: "video\vp3"; Description: "On2 VP3"; Types: "normal playback profile7"; 
Name: "video\vp6"; Description: "On2 VP6"; 
Name: "video\vp6\dec"; Description: "Decoding"; Types: "normal playback profile7"; 
Name: "video\vp6\enc"; Description: "Encoding"; Types: "normal profile7"; 
Name: "video\vp7"; Description: "On2 VP7"; 
Name: "video\vp7\dec"; Description: "Decoding"; Types: "normal playback profile7 profile8"; 
Name: "video\vp7\enc"; Description: "Encoding"; Types: "normal profile7"; 
Name: "video\indeo"; Description: "Indeo"; 
Name: "video\indeo\5"; Description: "Ligos Indeo 5.2"; Types: "profile7"; 
Name: "video\indeo\4"; Description: "Intel Indeo 4.5"; Types: "profile7"; 
Name: "video\indeo\32"; Description: "Intel Indeo 3.2"; Types: "profile7"; 
Name: "video\i263"; Description: "Intel I.263"; Types: "profile7"; 
Name: "video\huffyuv"; Description: "huffyuv"; Types: "profile7"; 
Name: "video\msmpeg4"; Description: "MS MPEG-4"; Types: "normal profile7"; 
Name: "video\divxmpeg4"; Description: "DivX ;) MPEG-4 Low and Fast motion"; 
Name: "video\dvd"; Description: "Cyberlink DVD decoder"; Check: "detectPowerDVD()"; MinVersion: 0.0,5.01; 
Name: "video\dvd2"; Description: "Cyberlink DVD decoder"; Check: "not detectPowerDVD()"; MinVersion: 0.0,5.01; 
Name: "video\mpeg2"; Description: "MPEG-2"; 
Name: "video\mpeg2\splt"; Description: "Demuxer (splitter)"; 
Name: "video\mpeg2\splt\ec"; Description: "Elecard"; 
Name: "video\mpeg2\splt\mc"; Description: "MainConcept"; 
Name: "video\mpeg2\splt\lg"; Description: "Ligos"; 
Name: "video\mpeg2\dec"; Description: "Decoder"; 
Name: "video\mpeg2\dec\lg"; Description: "Ligos (video/audio)"; 
Name: "video\mpeg2\dec\cl"; Description: "CyberLink (video)"; Check: "detectPowerDVD()"; 
Name: "video\mpeg2\dec\cl"; Description: "CyberLink (video)"; Check: "not detectPowerDVD()"; 
Name: "video\mpeg2\dec\mc"; Description: "MainConcept (video/audio)"; 
Name: "audio"; Description: "Audio"; 
Name: "audio\mp3"; Description: "MP3"; Types: "normal playback profile4 profile7"; 
Name: "audio\ac3"; Description: "AC3 (AC3Filter)"; Types: "normal playback profile4 profile7"; 
Name: "audio\ac3\070b"; Description: "v0.70b"; 
Name: "audio\ac3\101a"; Description: "v1.01a"; Types: "normal playback profile4 profile7"; 
Name: "audio\ac3\boostvolume"; Description: "Boost AC3 volume"; Types: "profile7"; 
Name: "audio\ac3acm"; Description: "AC3 (ACM)"; Types: "normal playback profile7"; 
Name: "audio\vorbis"; Description: "Vorbis (CoreVorbis)"; Types: "normal playback profile7 profile8"; 
Name: "audio\aac"; Description: "AAC (CoreAAC)"; 
Name: "audio\3ivx"; Description: "AAC (3ivx Pro)"; 
Name: "audio\3ivx\dec"; Description: "Decoding"; Types: "normal playback profile4 profile7"; 
Name: "audio\3ivx\enc"; Description: "Encoding"; 
Name: "audio\musepack"; Description: "MusePack"; Types: "normal playback profile7"; 
Name: "audio\ape"; Description: "Monkey's Audio"; Types: "normal playback profile7"; 
Name: "audio\wavpack"; Description: "WavPack"; Types: "normal playback profile7"; 
Name: "audio\flac"; Description: "FLAC"; Types: "normal playback profile7"; 
Name: "audio\voxware"; Description: "Voxware MetaSound"; 
Name: "audio\divxwma"; Description: "DivX ;) Audio"; 
Name: "audio\mp3lame"; Description: "LAME MP3 Encoder"; Types: "normal profile7"; 
Name: "filters"; Description: "Other DirectShow Filters"; 
Name: "filters\mp4"; Description: "MP4 splitter"; Types: "normal playback profile4 profile7 profile8"; 
Name: "filters\ogg"; Description: "Ogg splitter (.OGM/.OGG)"; 
Name: "filters\ogg\oggds"; Description: "made by Tobias"; Types: "normal playback profile7"; 
Name: "filters\ogg\gabest"; Description: "made by Gabest"; 
Name: "filters\matroska"; Description: "Matroska splitter (.MKV)"; 
Name: "filters\matroska\gabest"; Description: "made by Gabest"; Types: "normal playback"; 
Name: "filters\matroska\haali"; Description: "made by Haali"; Types: "profile7 profile8"; 
Name: "filters\matroskamuxer"; Description: "Matroska muxer"; 
Name: "filters\vsfilter"; Description: "DirectVobSub"; 
Name: "filters\vsfilter\233"; Description: "v2.33"; Types: "normal playback profile7"; 
Name: "filters\vsfilter\236"; Description: "v2.36"; Types: "profile8"; 
Name: "filters\shoutcast"; Description: "SHOUTcast Source"; 
Name: "filters\matrixmixer"; Description: "Matrix Mixer"; Types: "profile7"; 
Name: "filters\mmswitch"; Description: "Morgan Multimedia Stream Switcher"; 
Name: "ffdshow"; Description: "ffdshow [2005-08-03]"; Types: "profile7 profile8"; 
Name: "ffdshow\keepconfig"; Description: "Keep current settings"; 
Name: "ffdshow\newconfig"; Description: "Customize settings"; Types: "profile7 profile8"; 
Name: "ffdshow\vfw"; Description: "VFW encoder"; Types: "profile8"; 
Name: "tools"; Description: "Tools"; 
Name: "tools\gspot"; Description: "GSpot Codec Information Appliance"; Types: "normal playback profile4 profile7 profile8"; 
Name: "tools\sherlock"; Description: "Sherlock"; Types: "normal playback profile7 profile8"; 
Name: "tools\vobsubstrip"; Description: "VobSubStrip"; Types: "normal playback profile4 profile7 profile8"; 
Name: "tools\graphedit"; Description: "GraphEdit"; Types: "normal playback profile7 profile8"; 
Name: "tools\avifixed"; Description: "AVI Fixed"; Types: "normal playback profile7"; 
Name: "tools\fourcc"; Description: "FourCC Changer"; Types: "normal playback profile7"; 
Name: "tools\minicalc"; Description: "Bitrate Calculator"; Types: "normal"; 
Name: "compat"; Description: "Compatibility"; 
Name: "compat\g400"; Description: "Disable G400 filter"; Types: "normal playback profile4 profile7"; Check: "g400"; 
Name: "compat\divxaf"; Description: "Disable DivX Anti-Freeze"; Types: "normal playback profile4 profile7"; Check: "divxaf"; 
Name: "compat\ivideo"; Description: "Disable InterVideo MPEG-4 Decoder"; Types: "normal playback profile4 profile7"; Check: "ivideo"; 
Name: "compat\dshow"; Description: "Register main DirectShow filters"; Types: "normal playback profile4"; 

[InstallDelete]
Type: files; Name: "{app}\Website.url"; 
Type: files; Name: "{group}\Website.lnk"; 
Type: files; Name: "{win}\Driver Cache\i386\DivXc32.dll"; 
Type: files; Name: "{win}\Driver Cache\i386\DivXc32f.dll"; 
Type: files; Name: "{win}\Driver Cache\i386\DivX_c32.ax"; 
Type: files; Name: "{sys}\xvid.dll"; Components: video\xvid\enc; 
Type: files; Name: "{app}\readme_full.rtf"; 

[UninstallDelete]
Type: files; Name: "{app}\tools\VobSubStrip.ini"; Components: tools\vobsubstrip; 
Type: dirifempty; Name: "{app}\ffdshow"; Components: ffdshow; 
Type: dirifempty; Name: "{app}"; 

[Types]
Name: "normal"; Description: "Profile 1: Default"; 
Name: "playback"; Description: "Profile 2: Playback Only"; 
Name: "custom"; Description: "Profile 3: Custom Selection"; 
Name: "profile4"; Description: "Profile 4: Minimalistic"; 
Name: "profile7"; Description: "Profile 5: Power user (Lots of stuff)"; 
Name: "profile8"; Description: "Profile 6: Power user (Recommended)"; 
Name: "nothing"; Description: "Deselect all"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
